
/* Konstanten, die vom Boardlayout abhängen */

#include <avr/io.h>

/* LCD */
#define LCD_DATA_PORT PORTC  /* D0-7 */
#define LCD_DATA_PORT_DDR DDRC
#define LCD_DATA_PORT_PINS PINC

#define LCD_E1_PORT PORTA      /* port for Enable1 (left) line */
#define LCD_E1_PIN 2           /* pin for E1 line */
#define LCD_E1_PORT_DDR DDRA   /* data direction register */

#define LCD_E2_PORT PORTA  /* port for E2 line */
#define LCD_E2_PIN 3
#define LCD_E2_PORT_DDR DDRA

#define LCD_RW_PORT PORTA  /* port for RW line */
#define LCD_RW_PIN 1
#define LCD_RW_PORT_DDR DDRA

#define LCD_A0_PORT PORTA  /* port for A0 line */
#define LCD_A0_PIN 0
#define LCD_A0_PORT_DDR DDRA

#define lcd_e1_high()    sbi(LCD_E1_PORT, LCD_E1_PIN)
#define lcd_e1_low()     cbi(LCD_E1_PORT, LCD_E1_PIN)

#define lcd_e2_high()    sbi(LCD_E2_PORT, LCD_E2_PIN)
#define lcd_e2_low()     cbi(LCD_E2_PORT, LCD_E2_PIN)

#define lcd_rw_high()    sbi(LCD_RW_PORT, LCD_RW_PIN)
#define lcd_rw_low()     cbi(LCD_RW_PORT, LCD_RW_PIN)

#define lcd_a0_high()    sbi(LCD_A0_PORT, LCD_A0_PIN)
#define lcd_a0_low()     cbi(LCD_A0_PORT, LCD_A0_PIN)

#define spi_cs_high()    sbi(SPI_CS_PORT, SPI_CS_PIN)
#define spi_cs_low()     cbi(SPI_CS_PORT, SPI_CS_PIN)

/* Loconet */
#define LN_TX_PORT            PORTD
#define LN_TX_DDR             DDRD
#define LN_TX_BIT             PD7

#define LN_RX_PORT            PIND
#define LN_RX_BIT             PD6


