#include "lcd_dip122.h"

static uint8_t PROGMEM glyphs[] = {
  /* space */
  0x21, 0x63,  /* 0, 0 */
  0x00, 
  /* exclam */
  0x32, 0x69,  /* 0, 0 */
  0x7f, 0x14, 
  /* quotedbl */
  0x43, 0x68,  /* 0, 4 */
  0x2d, 
  /* numbersign */
  0x55, 0x48,  /* -1, 0 */
  0xea, 0xab, 0x5f, 0x0a, 
  /* dollar */
  0x54, 0x69,  /* 0, -1 */
  0xe4, 0x73, 0xce, 0x27, 
  /* percent */
  0x65, 0x68,  /* 0, 0 */
  0xb6, 0x1d, 0x6e, 0x1b, 
  /* ampersand */
  0x65, 0x68,  /* 0, 0 */
  0x4e, 0x99, 0xbf, 0x2c, 
  /* quotesingle */
  0x31, 0x8a,  /* 1, 5 */
  0x07, 
  /* parenleft */
  0x32, 0x68,  /* 0, -2 */
  0x5a, 0xa5, 
  /* parenright */
  0x32, 0x68,  /* 0, -2 */
  0xa5, 0x5a, 
  /* asterisk */
  0x33, 0x68,  /* 0, 3 */
  0xba, 0x00, 
  /* plus */
  0x54, 0x67,  /* 0, 0 */
  0x44, 0x4f, 0x04, 
  /* comma */
  0x22, 0x44,  /* -1, -1 */
  0x1a, 
  /* hyphen */
  0x43, 0x65,  /* 0, 2 */
  0x07, 
  /* period */
  0x21, 0x64,  /* 0, 0 */
  0x03, 
  /* slash */
  0x33, 0x68,  /* 0, 0 */
  0xa4, 0x94, 0x00, 
  /* zero */
  0x54, 0x68,  /* 0, 0 */
  0xb6, 0xbb, 0x6b, 
  /* one */
  0x53, 0x68,  /* 0, 0 */
  0xbc, 0x6d, 0x03, 
  /* two */
  0x54, 0x68,  /* 0, 0 */
  0xd6, 0x6c, 0xf3, 
  /* three */
  0x54, 0x68,  /* 0, 0 */
  0xd6, 0xc6, 0x6d, 
  /* four */
  0x55, 0x68,  /* 0, 0 */
  0x4c, 0xad, 0xcf, 0x18, 
  /* five */
  0x54, 0x68,  /* 0, 0 */
  0x3e, 0xc7, 0x6d, 
  /* six */
  0x54, 0x68,  /* 0, 0 */
  0x3e, 0xb7, 0x6b, 
  /* seven */
  0x54, 0x68,  /* 0, 0 */
  0xcf, 0x6c, 0x32, 
  /* eight */
  0x54, 0x68,  /* 0, 0 */
  0xb6, 0xb6, 0x6b, 
  /* nine */
  0x54, 0x68,  /* 0, 0 */
  0xd6, 0xed, 0x7c, 
  /* colon */
  0x21, 0x67,  /* 0, 0 */
  0x1b, 
  /* semicolon */
  0x22, 0x47,  /* -1, -1 */
  0x8a, 0x06, 
  /* less */
  0x43, 0x67,  /* 0, 0 */
  0x54, 0x44, 
  /* equal */
  0x54, 0x66,  /* 0, 1 */
  0x0f, 0x0f, 
  /* greater */
  0x43, 0x67,  /* 0, 0 */
  0x11, 0x15, 
  /* question */
  0x54, 0x69,  /* 0, 0 */
  0xc7, 0x26, 0x20, 0x02, 
  /* at */
  0x98, 0x68,  /* 0, -1 */
  0x7e, 0xc3, 0x99, 0x95, 0x99, 0x73, 0x06, 
  /* A */
  0x65, 0x68,  /* 0, 0 */
  0x6e, 0xef, 0xbf, 0x37, 
  /* B */
  0x65, 0x68,  /* 0, 0 */
  0x6f, 0xbf, 0xbd, 0x1f, 
  /* C */
  0x65, 0x68,  /* 0, 0 */
  0x7e, 0x8e, 0x31, 0x3d, 
  /* D */
  0x65, 0x68,  /* 0, 0 */
  0x6f, 0xef, 0xbd, 0x1f, 
  /* E */
  0x54, 0x68,  /* 0, 0 */
  0x3f, 0x3f, 0xf3, 
  /* F */
  0x54, 0x68,  /* 0, 0 */
  0x3f, 0x3f, 0x33, 
  /* G */
  0x65, 0x68,  /* 0, 0 */
  0x7e, 0x8e, 0x3d, 0x3d, 
  /* H */
  0x65, 0x68,  /* 0, 0 */
  0x7b, 0xff, 0xbd, 0x37, 
  /* I */
  0x21, 0x68,  /* 0, 0 */
  0x3f, 
  /* J */
  0x54, 0x68,  /* 0, 0 */
  0xcc, 0xcc, 0x6d, 
  /* K */
  0x66, 0x68,  /* 0, 0 */
  0xdb, 0x72, 0x3c, 0xdb, 0x0c, 
  /* L */
  0x54, 0x68,  /* 0, 0 */
  0x33, 0x33, 0xf3, 
  /* M */
  0x87, 0x68,  /* 0, 0 */
  0xe3, 0xf1, 0xfd, 0xbf, 0x5e, 0x03, 
  /* N */
  0x65, 0x68,  /* 0, 0 */
  0x73, 0xde, 0xbf, 0x27, 
  /* O */
  0x65, 0x68,  /* 0, 0 */
  0x6e, 0xcf, 0xb9, 0x1d, 
  /* P */
  0x65, 0x68,  /* 0, 0 */
  0x6f, 0xef, 0x37, 0x06, 
  /* Q */
  0x66, 0x68,  /* 0, -1 */
  0xce, 0x36, 0x4d, 0x9b, 0x07, 0x02, 
  /* R */
  0x65, 0x68,  /* 0, 0 */
  0x6f, 0xef, 0xb7, 0x37, 
  /* S */
  0x65, 0x68,  /* 0, 0 */
  0x7e, 0x3c, 0xbe, 0x1d, 
  /* T */
  0x65, 0x68,  /* 0, 0 */
  0xdf, 0x18, 0x63, 0x0c, 
  /* U */
  0x65, 0x68,  /* 0, 0 */
  0x7b, 0xef, 0xbd, 0x1d, 
  /* V */
  0x65, 0x68,  /* 0, 0 */
  0xd7, 0x5a, 0xeb, 0x08, 
  /* W */
  0x98, 0x68,  /* 0, 0 */
  0xdb, 0xdb, 0x5b, 0x5b, 0x36, 0x36, 
  /* X */
  0x65, 0x68,  /* 0, 0 */
  0x7b, 0x3b, 0xb7, 0x37, 
  /* Y */
  0x76, 0x68,  /* 0, 0 */
  0xb7, 0x65, 0x79, 0x0c, 0x03, 
  /* Z */
  0x66, 0x68,  /* 0, 0 */
  0x3f, 0xc7, 0x18, 0xc7, 0x07, 
  /* bracketleft */
  0x32, 0x68,  /* 0, -2 */
  0x57, 0xd5, 
  /* backslash */
  0x33, 0x68,  /* 0, 0 */
  0x89, 0x44, 0x02, 
  /* bracketright */
  0x32, 0x68,  /* 0, -2 */
  0xab, 0xea, 
  /* asciicircum */
  0x44, 0x68,  /* 0, 3 */
  0x66, 0x09, 
  /* underscore */
  0x55, 0x62,  /* 0, -1 */
  0x1f, 
  /* grave */
  0x32, 0x6a,  /* 0, 6 */
  0x09, 
  /* a */
  0x55, 0x67,  /* 0, 0 */
  0x87, 0xbd, 0xb6, 0x01, 
  /* b */
  0x54, 0x69,  /* 0, 0 */
  0x33, 0xb7, 0xbb, 0x07, 
  /* c */
  0x43, 0x67,  /* 0, 0 */
  0xde, 0x66, 
  /* d */
  0x54, 0x69,  /* 0, 0 */
  0xcc, 0xde, 0xdd, 0x0e, 
  /* e */
  0x54, 0x67,  /* 0, 0 */
  0xb6, 0x3f, 0x06, 
  /* f */
  0x34, 0x49,  /* -1, 0 */
  0x6c, 0x6f, 0x66, 0x06, 
  /* g */
  0x54, 0x67,  /* 0, -1 */
  0xdb, 0xfd, 0x7c, 
  /* h */
  0x54, 0x69,  /* 0, 0 */
  0x33, 0xb7, 0xbb, 0x0b, 
  /* i */
  0x21, 0x69,  /* 0, 0 */
  0x7d, 
  /* j */
  0x22, 0x49,  /* -1, -1 */
  0xa2, 0x6a, 
  /* k */
  0x54, 0x69,  /* 0, 0 */
  0x33, 0xbb, 0xb7, 0x0b, 
  /* l */
  0x21, 0x69,  /* 0, 0 */
  0x7f, 
  /* m */
  0x76, 0x67,  /* 0, 0 */
  0xd7, 0xba, 0xae, 0x2b, 
  /* n */
  0x54, 0x67,  /* 0, 0 */
  0xb7, 0xbb, 0x0b, 
  /* o */
  0x54, 0x67,  /* 0, 0 */
  0xb6, 0xbb, 0x06, 
  /* p */
  0x54, 0x67,  /* 0, -1 */
  0xb7, 0xbb, 0x37, 
  /* q */
  0x54, 0x67,  /* 0, -1 */
  0xde, 0xdd, 0xce, 
  /* r */
  0x33, 0x67,  /* 0, 0 */
  0xfd, 0x36, 
  /* s */
  0x54, 0x67,  /* 0, 0 */
  0x3e, 0xcf, 0x07, 
  /* t */
  0x34, 0x49,  /* -1, 0 */
  0x64, 0x6f, 0x66, 0x0c, 
  /* u */
  0x54, 0x67,  /* 0, 0 */
  0xbb, 0xfb, 0x0a, 
  /* v */
  0x54, 0x67,  /* 0, 0 */
  0xbb, 0x6b, 0x02, 
  /* w */
  0x65, 0x67,  /* 0, 0 */
  0xb5, 0xfe, 0x2f, 0x01, 
  /* x */
  0x65, 0x67,  /* 0, 0 */
  0x7b, 0xbb, 0xbd, 0x01, 
  /* y */
  0x54, 0x67,  /* 0, -1 */
  0xbb, 0xeb, 0x66, 
  /* z */
  0x54, 0x67,  /* 0, 0 */
  0xcf, 0x36, 0x0f, 
  /* braceleft */
  0x43, 0x68,  /* 0, -1 */
  0x94, 0x22, 0x11, 
  /* bar */
  0x21, 0x88,  /* 1, -1 */
  0x7f, 
  /* braceright */
  0x43, 0x68,  /* 0, -1 */
  0x91, 0x28, 0x05, 
  /* asciitilde */
  0x55, 0x66,  /* 0, 2 */
  0xba, 0x01, 
  /* space */
  0x21, 0x63,  /* 0, 0 */
  0x00, 
  /* exclamdown */
  0x32, 0x67,  /* 0, -2 */
  0x8a, 0x3f, 
  /* cent */
  0x54, 0x68,  /* 0, -1 */
  0x44, 0x3f, 0x2f, 0x02, 
  /* sterling */
  0x54, 0x68,  /* 0, 0 */
  0xac, 0x63, 0xfa, 
  /* currency */
  0x55, 0x68,  /* 0, 1 */
  0xd1, 0x29, 0x17, 0x01, 
  /* yen */
  0x65, 0x68,  /* 0, 0 */
  0x7a, 0xeb, 0xcf, 0x18, 
  /* brokenbar */
  0x21, 0x68,  /* 0, 0 */
  0x3b, 
  /* section */
  0x54, 0x68,  /* 0, -2 */
  0x3e, 0xb7, 0xca, 0x7d, 
  /* dieresis */
  0x23, 0x68,  /* 0, 5 */
  0x05, 
  /* copyright */
  0x86, 0x89,  /* 1, 0 */
  0xde, 0xdc, 0x8e, 0xed, 0xec, 0x01, 
  /* ordfeminine */
  0x43, 0x69,  /* 0, 2 */
  0x77, 0x71, 
  /* guillemotleft */
  0x64, 0x66,  /* 0, 1 */
  0x5a, 0x0a, 
  /* logicalnot */
  0x64, 0x66,  /* 0, 2 */
  0x8f, 
  /* hyphen */
  0x43, 0x65,  /* 0, 2 */
  0x07, 
  /* registered */
  0x86, 0x89,  /* 1, 0 */
  0x9e, 0xdc, 0xb6, 0xf5, 0xe8, 0x01, 
  /* macron */
  0x22, 0x68,  /* 0, 5 */
  0x03, 
  /* degree */
  0x33, 0x68,  /* 0, 3 */
  0xef, 0x01, 
  /* plusminus */
  0x54, 0x68,  /* 0, 0 */
  0x44, 0x4f, 0xf0, 
  /* twosuperior */
  0x22, 0x68,  /* 0, 2 */
  0xdb, 
  /* threesuperior */
  0x22, 0x68,  /* 0, 2 */
  0x6f, 
  /* acute */
  0x22, 0x69,  /* 0, 5 */
  0x06, 
  /* mu */
  0x54, 0x67,  /* 0, -2 */
  0xbb, 0xfb, 0x39, 0x03, 
  /* paragraph */
  0x55, 0x48,  /* -1, -2 */
  0xfe, 0x5e, 0x4b, 0x29, 0xa5, 
  /* periodcentered */
  0x22, 0x66,  /* 0, 2 */
  0x0f, 
  /* cedilla */
  0x22, 0x62,  /* 0, -2 */
  0x0e, 
  /* onesuperior */
  0x22, 0x68,  /* 0, 2 */
  0xae, 
  /* ordmasculine */
  0x43, 0x69,  /* 0, 2 */
  0xef, 0x71, 
  /* guillemotright */
  0x64, 0x66,  /* 0, 1 */
  0xa5, 0x05, 
  /* onequarter */
  0x76, 0x69,  /* 0, -1 */
  0xe2, 0xa4, 0x28, 0x94, 0xd6, 0x43, 
  /* onehalf */
  0x76, 0x69,  /* 0, -1 */
  0xe2, 0xa4, 0x28, 0x9c, 0x94, 0x60, 
  /* threequarters */
  0x76, 0x69,  /* 0, -1 */
  0xe3, 0xa4, 0x14, 0x94, 0xd6, 0x43, 
  /* questiondown */
  0x54, 0x67,  /* 0, -2 */
  0x22, 0x20, 0x32, 0x0f, 
  /* Agrave */
  0x65, 0x6b,  /* 0, 0 */
  0x82, 0x00, 0xb7, 0xf7, 0xdf, 0x1b, 
  /* Aacute */
  0x65, 0x6b,  /* 0, 0 */
  0x88, 0x00, 0xb7, 0xf7, 0xdf, 0x1b, 
  /* Acircumflex */
  0x65, 0x6b,  /* 0, 0 */
  0x44, 0x01, 0xb7, 0xf7, 0xdf, 0x1b, 
  /* Atilde */
  0x65, 0x6b,  /* 0, 0 */
  0x54, 0x01, 0xb7, 0xf7, 0xdf, 0x1b, 
  /* Adieresis */
  0x65, 0x6a,  /* 0, 0 */
  0x0a, 0xb8, 0xbd, 0xff, 0xde, 
  /* Aring */
  0x65, 0x6b,  /* 0, 0 */
  0x44, 0x11, 0xb7, 0xf7, 0xdf, 0x1b, 
  /* AE */
  0x87, 0x68,  /* 0, 0 */
  0x7e, 0x8e, 0xfe, 0xb3, 0xd9, 0x03, 
  /* Ccedilla */
  0x65, 0x68,  /* 0, -2 */
  0x7e, 0x8e, 0x31, 0x3d, 0x31, 
  /* Egrave */
  0x54, 0x6b,  /* 0, 0 */
  0x42, 0xf0, 0xf3, 0x33, 0x0f, 
  /* Eacute */
  0x54, 0x6b,  /* 0, 0 */
  0x48, 0xf0, 0xf3, 0x33, 0x0f, 
  /* Ecircumflex */
  0x54, 0x6b,  /* 0, 0 */
  0x52, 0xf0, 0xf3, 0x33, 0x0f, 
  /* Edieresis */
  0x54, 0x6a,  /* 0, 0 */
  0x05, 0x3f, 0x3f, 0xf3, 
  /* Igrave */
  0x22, 0x4b,  /* -1, 0 */
  0x89, 0xaa, 0x02, 
  /* Iacute */
  0x22, 0x6b,  /* 0, 0 */
  0x46, 0x55, 0x01, 
  /* Icircumflex */
  0x23, 0x4b,  /* -1, 0 */
  0x2a, 0x24, 0x49, 0x02, 
  /* Idieresis */
  0x23, 0x4a,  /* -1, 0 */
  0x85, 0x24, 0x49, 
  /* Eth */
  0x65, 0x68,  /* 0, 0 */
  0x4e, 0x5f, 0xad, 0x1d, 
  /* Ntilde */
  0x65, 0x6b,  /* 0, 0 */
  0x54, 0x81, 0x39, 0xef, 0xdf, 0x13, 
  /* Ograve */
  0x65, 0x6b,  /* 0, 0 */
  0x82, 0x00, 0xb7, 0xe7, 0xdc, 0x0e, 
  /* Oacute */
  0x65, 0x6b,  /* 0, 0 */
  0x88, 0x00, 0xb7, 0xe7, 0xdc, 0x0e, 
  /* Ocircumflex */
  0x65, 0x6b,  /* 0, 0 */
  0x44, 0x01, 0xb7, 0xe7, 0xdc, 0x0e, 
  /* Otilde */
  0x65, 0x6b,  /* 0, 0 */
  0x54, 0x01, 0xb7, 0xe7, 0xdc, 0x0e, 
  /* Odieresis */
  0x65, 0x6a,  /* 0, 0 */
  0x0a, 0xb8, 0x3d, 0xe7, 0x76, 
  /* multiply */
  0x55, 0x67,  /* 0, 1 */
  0xdb, 0xb9, 0x0d, 
  /* Oslash */
  0x67, 0x48,  /* -1, -1 */
  0x5c, 0x9b, 0xcd, 0x65, 0xf3, 0x04, 0x00, 
  /* Ugrave */
  0x65, 0x6b,  /* 0, 0 */
  0x82, 0x80, 0xbd, 0xf7, 0xde, 0x0e, 
  /* Uacute */
  0x65, 0x6b,  /* 0, 0 */
  0x88, 0x80, 0xbd, 0xf7, 0xde, 0x0e, 
  /* Ucircumflex */
  0x65, 0x6b,  /* 0, 0 */
  0x44, 0x81, 0xbd, 0xf7, 0xde, 0x0e, 
  /* Udieresis */
  0x65, 0x6a,  /* 0, 0 */
  0x0a, 0xec, 0xbd, 0xf7, 0x76, 
  /* Yacute */
  0x76, 0x6b,  /* 0, 0 */
  0x10, 0x02, 0xdc, 0x96, 0xe5, 0x31, 0x0c, 
  /* Thorn */
  0x65, 0x68,  /* 0, 0 */
  0xe3, 0xed, 0x37, 0x06, 
  /* germandbls */
  0x54, 0x68,  /* 0, 0 */
  0xb7, 0xb7, 0x5b, 
  /* agrave */
  0x55, 0x6a,  /* 0, 0 */
  0x82, 0x80, 0xc3, 0x5e, 0xdb, 
  /* aacute */
  0x55, 0x6a,  /* 0, 0 */
  0x88, 0x80, 0xc3, 0x5e, 0xdb, 
  /* acircumflex */
  0x55, 0x6a,  /* 0, 0 */
  0xa2, 0x80, 0xc3, 0x5e, 0xdb, 
  /* atilde */
  0x55, 0x6a,  /* 0, 0 */
  0xaa, 0x80, 0xc3, 0x5e, 0xdb, 
  /* adieresis */
  0x55, 0x69,  /* 0, 0 */
  0x05, 0x1c, 0xf6, 0xda, 0x06, 
  /* aring */
  0x55, 0x6a,  /* 0, 0 */
  0xa2, 0x88, 0xc3, 0x5e, 0xdb, 
  /* ae */
  0x76, 0x67,  /* 0, 0 */
  0x1f, 0xeb, 0x37, 0x3e, 
  /* ccedilla */
  0x43, 0x67,  /* 0, -2 */
  0xde, 0x66, 0x0d, 
  /* egrave */
  0x54, 0x6a,  /* 0, 0 */
  0x42, 0x60, 0xfb, 0x63, 
  /* eacute */
  0x54, 0x6a,  /* 0, 0 */
  0x48, 0x60, 0xfb, 0x63, 
  /* ecircumflex */
  0x54, 0x6a,  /* 0, 0 */
  0xa4, 0x60, 0xfb, 0x63, 
  /* edieresis */
  0x54, 0x69,  /* 0, 0 */
  0x0a, 0xb6, 0x3f, 0x06, 
  /* igrave */
  0x22, 0x4a,  /* -1, 0 */
  0x89, 0xaa, 
  /* iacute */
  0x22, 0x6a,  /* 0, 0 */
  0x46, 0x55, 
  /* icircumflex */
  0x23, 0x4a,  /* -1, 0 */
  0x2a, 0x24, 0x49, 
  /* idieresis */
  0x23, 0x49,  /* -1, 0 */
  0x85, 0x24, 0x09, 
  /* eth */
  0x54, 0x69,  /* 0, 0 */
  0x6b, 0xe5, 0xbb, 0x06, 
  /* ntilde */
  0x54, 0x6a,  /* 0, 0 */
  0x5a, 0x70, 0xbf, 0xbb, 
  /* ograve */
  0x54, 0x6a,  /* 0, 0 */
  0x42, 0x60, 0xbb, 0x6b, 
  /* oacute */
  0x54, 0x6a,  /* 0, 0 */
  0x48, 0x60, 0xbb, 0x6b, 
  /* ocircumflex */
  0x54, 0x6a,  /* 0, 0 */
  0xa4, 0x60, 0xbb, 0x6b, 
  /* otilde */
  0x54, 0x6a,  /* 0, 0 */
  0x5a, 0x60, 0xbb, 0x6b, 
  /* odieresis */
  0x54, 0x69,  /* 0, 0 */
  0x0a, 0xb6, 0xbb, 0x06, 
  /* divide */
  0x55, 0x67,  /* 0, 0 */
  0x04, 0x7c, 0x40, 0x00, 
  /* oslash */
  0x56, 0x48,  /* -1, -1 */
  0x20, 0x67, 0x59, 0x96, 0x13, 0x00, 
  /* ugrave */
  0x54, 0x6a,  /* 0, 0 */
  0x42, 0xb0, 0xbb, 0xaf, 
  /* uacute */
  0x54, 0x6a,  /* 0, 0 */
  0x48, 0xb0, 0xbb, 0xaf, 
  /* ucircumflex */
  0x54, 0x6a,  /* 0, 0 */
  0xa4, 0xb0, 0xbb, 0xaf, 
  /* udieresis */
  0x54, 0x69,  /* 0, 0 */
  0x0a, 0xbb, 0xfb, 0x0a, 
  /* yacute */
  0x54, 0x6a,  /* 0, -1 */
  0x48, 0xb0, 0xbb, 0x6e, 0x06, 
  /* thorn */
  0x55, 0x48,  /* -1, -2 */
  0xc3, 0x59, 0x6b, 0x9d, 0x71, 
  /* ydieresis */
  0x54, 0x69,  /* 0, -1 */
  0x0a, 0xbb, 0x6b, 0x66};


static uint16_t PROGMEM toc[] = {
  0x0000,
  0x0003,
  0x0007,
  0x000a,
  0x0010,
  0x0016,
  0x001c,
  0x0022,
  0x0025,
  0x0029,
  0x002d,
  0x0031,
  0x0036,
  0x0039,
  0x003c,
  0x003f,
  0x0044,
  0x0049,
  0x004e,
  0x0053,
  0x0058,
  0x005e,
  0x0063,
  0x0068,
  0x006d,
  0x0072,
  0x0077,
  0x007a,
  0x007e,
  0x0082,
  0x0086,
  0x008a,
  0x0090,
  0x0099,
  0x009f,
  0x00a5,
  0x00ab,
  0x00b1,
  0x00b6,
  0x00bb,
  0x00c1,
  0x00c7,
  0x00ca,
  0x00cf,
  0x00d6,
  0x00db,
  0x00e3,
  0x00e9,
  0x00ef,
  0x00f5,
  0x00fd,
  0x0103,
  0x0109,
  0x010f,
  0x0115,
  0x011b,
  0x0123,
  0x0129,
  0x0130,
  0x0137,
  0x013b,
  0x0140,
  0x0144,
  0x0148,
  0x014b,
  0x014e,
  0x0154,
  0x015a,
  0x015e,
  0x0164,
  0x0169,
  0x016f,
  0x0174,
  0x017a,
  0x017d,
  0x0181,
  0x0187,
  0x018a,
  0x0190,
  0x0195,
  0x019a,
  0x019f,
  0x01a4,
  0x01a8,
  0x01ad,
  0x01b3,
  0x01b8,
  0x01bd,
  0x01c3,
  0x01c9,
  0x01ce,
  0x01d3,
  0x01d8,
  0x01db,
  0x01e0,
  0x01e4,
  0x01e7,
  0x01eb,
  0x01f1,
  0x01f6,
  0x01fc,
  0x0202,
  0x0205,
  0x020b,
  0x020e,
  0x0216,
  0x021a,
  0x021e,
  0x0221,
  0x0224,
  0x022c,
  0x022f,
  0x0233,
  0x0238,
  0x023b,
  0x023e,
  0x0241,
  0x0247,
  0x024e,
  0x0251,
  0x0254,
  0x0257,
  0x025b,
  0x025f,
  0x0267,
  0x026f,
  0x0277,
  0x027d,
  0x0285,
  0x028d,
  0x0295,
  0x029d,
  0x02a4,
  0x02ac,
  0x02b4,
  0x02bb,
  0x02c2,
  0x02c9,
  0x02d0,
  0x02d6,
  0x02db,
  0x02e0,
  0x02e6,
  0x02eb,
  0x02f1,
  0x02f9,
  0x0301,
  0x0309,
  0x0311,
  0x0319,
  0x0320,
  0x0325,
  0x032e,
  0x0336,
  0x033e,
  0x0346,
  0x034d,
  0x0356,
  0x035c,
  0x0361,
  0x0368,
  0x036f,
  0x0376,
  0x037d,
  0x0384,
  0x038b,
  0x0391,
  0x0396,
  0x039c,
  0x03a2,
  0x03a8,
  0x03ae,
  0x03b2,
  0x03b6,
  0x03bb,
  0x03c0,
  0x03c6,
  0x03cc,
  0x03d2,
  0x03d8,
  0x03de,
  0x03e4,
  0x03ea,
  0x03f0,
  0x03f8,
  0x03fe,
  0x0404,
  0x040a,
  0x0410,
  0x0417,
  0x041e,  0x0422};

static lcd_font PROGMEM font = {
  0x0000, /* font size   */
  00,   /* vid         */
  00,   /* fid         */
  00,   /* TOCoff      */
  32,   /* ascii_min   */
  191,   /* nAscii      */
  9,   /* FBBx        */
  11,   /* FBBy        */
  02,   /* Descent     */
  00,   /* BSP         */
  00,   /* CSP         */
  00,   /* LSP         */
  (uint16_t PROGMEM *)toc, 
  (uint8_t PROGMEM *)glyphs}; 

void setfont_helv_bold_8 ()
{
  lcd_init_font_handler_small ((lcd_font PROGMEM *)&font);
}
