/***************************************************************************
 *   Copyright (C) 2001  Michael Schänzler                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "lcd_dip122.h"

void lcd_drawpixel (uint8_t x, uint8_t y)
{
  uint8_t page;
  uint8_t bit;
  uint8_t display_data;
  
  page = (MAX_Y-y)/8;
  bit = (MAX_Y-y)%8;

  set_page (page);

  if (x <= MAX_COL) {
    set_column (x);
    read_display_data1(); /* dummy */
    display_data = read_display_data1 ();
    set_column (x);
    display_data = display_data | (1 << bit);
    write_display_data1 (display_data);
  }
  else {
    set_column (x - MAX_COL - 1);
    read_display_data2(); /* dummy */
    display_data = read_display_data2 ();
    set_column (x - MAX_COL - 1);
    display_data = display_data | (1 << bit);
    write_display_data2 (display_data);
  }
}
