/***************************************************************************
 *   Low level procedure for drawing 1bpp xbm bitmaps                      *
 *   generic pixel_getter                                                  *
 *   Copyright (C) 2001  Michael Schänzler                                 * 
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "lcd_dip122.h"


void lcd_drawpixeldata_generic (uint8_t x, uint8_t y,
				uint8_t dx, uint8_t dy,
				uint8_t *pixel_data,
				uint8_t (*operation)(uint8_t, uint8_t,
						     uint8_t),
				uint8_t (*pixel_getter)(uint8_t, uint8_t,
				                        uint8_t, uint8_t,
							uint8_t *))
{
  uint8_t i, j;
  uint8_t page;
  uint8_t s1;
  uint8_t mask1, mask2;

  mask2 = ~(0xff << (MAX_Y-y+dy)%8);

  for (i=0; i<dx; i++) {

    mask1 = 0xff << (MAX_Y-y)%8;
    page = (MAX_Y-y)/8;
    s1 = 0;
    
    for (j=0; j<dy; j++) { 
      
      if ((*pixel_getter)(i, j, dx, dy, pixel_data))
	s1 |= (1 << (MAX_Y-y+j)%8);
      
      if ((MAX_Y-y+j+1)%8 == 0) {   /* page boundary, j+1 wäre neue Page */
	 /* alte Page schreiben */
	write_display_data (s1, x+i, page, operation, mask1);
	mask1 = 0xff;
	s1 = 0;
 	page++;
      }
    }
    if ((MAX_Y-y+dy)%8 != 0)     /* Ende nicht genau auf Page Grenze */
      write_display_data (s1, x+i, page, operation, mask2);
  }
}
