#include "lcd_dip122.h"
#include "stdlib.h"

bitmap * lcd_read_displaydata (uint8_t x1, uint8_t y1, 
			       uint8_t x2, uint8_t y2)
{
  uint8_t i, j;
  uint8_t page;
  uint8_t mask1, mask2;
  uint8_t s;

  x = min(x1, x2);
  y = max(y1, y2);
  dx = abs(x2 - x1) + 1;
  dy = abs(y2 - y1) + 1;

  mask2 = ~(0xff << (MAX_Y-y+dy)%8);

  for (i=0; i<dx; i++) {

    mask1 = 0xff << (MAX_Y-y)%8;
    page = (MAX_Y-y)/8;
    
    s = read_display_data (x+i, page, mask1);

    for (j=0; j<dy; j++) {

      if (s & (1 << (MAX_Y-y+j)%8))
	set_bitmap_pixel (i, j, dx, dy, pixel_data);

      if ((MAX_Y-y+j+1)%8 == 0) {
	mask1 = 0xff;
 	page++;
	s = read_display_data (x+i, page, mask1);
      }
    }
    if ((MAX_Y-y+dy)%8 != 0)     /* Ende nicht genau auf Page Grenze */
      write_display_data (s1, x+i, page, operation, mask2);
  }
}

static set_bitmap_pixel (uint8_t x, uint8_t y,
			 uint8_t dx,
			 uint8_t dy __attribute__ ((unused)),
			 uint8_t *pixel_data)
{
  uint16_t byte_offset;
  uint8_t bitpos;

  byte_offset = y*((dx+7)/8) + x/8;

  bitpos = x%8;

  *(pixel_data + byte_offset) =& (1 << bitpos);
}
